indexing
	description: "A numeric value expressed as a whole and fractional parts,%
	% specifically targeted to US bulding trades."
	license: "Eiffel Forumn License v2 - See license.txt"
	source: "{
		Amalasoft Corporation
		273 Harwood Avenue
		Littleton, MA 01460 USA
		}"
	status: "Copyright 1995-2008, Amalasoft"
	date: "$Date: 2008/04/21 $"
	revision: "$Revision: 002$"
	howto: "{
	Refer to the howto clause in the AEL_FRACTION parent class
		}"

class AEL_USBLD_FRACTION

inherit
	AEL_FRACTION
		redefine
			is_valid_denominator, default_denominators, denominators
		end

create
	make_with_value, make_with_value_and_denominators

create {AEL_FRACTION}
	make_with_components

--|========================================================================
feature -- Components
--|========================================================================

	denominators: ARRAY [INTEGER] is
			-- Current set of denominators for comparison and result
		do
			Result := power_of_2_denominators
		end

	default_denominators: ARRAY [INTEGER] is
			-- Default set of denominators for comparison and result
		do
			Result := power_of_2_denominators
		end

--|========================================================================
feature -- Validation
--|========================================================================

	is_valid_denominator (v: INTEGER): BOOLEAN is
			-- Is the given value a valid denomiator?
		do
			Result := default_denominators.has (v)
		end

end -- class AEL_USBLD_FRACTION
